﻿using Infragistics.Win;
using Infragistics.Win.UltraWinLiveTileView;
using Infragistics.Win.UltraWinScrollBar;
using System.Drawing;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            Size = new Size(1200, 800);

            UltraLiveTileView tileView = new UltraLiveTileView();
            tileView.Dock = DockStyle.Fill;
            tileView.TileSizing = TileSizing.All;
            tileView.StyleSetName = string.Empty;
            tileView.UseFlatMode = DefaultableBoolean.True;
            tileView.UseOsThemes = DefaultableBoolean.False;
            tileView.ScrollBarLook.ViewStyle = ScrollBarViewStyle.Windows8;
            tileView.AllowDrop = false;
            tileView.ApplicationBar.Visible = false;
            tileView.TileSelection = TileSelection.None;
            tileView.ScrollBarLook.ShowMinMaxButtons = DefaultableBoolean.False;
            tileView.ExpandButtonVisibility = ExpandCollapseButtonVisibility.Never;
            tileView.CollapseButtonVisibility = ExpandCollapseButtonVisibility.Never;
            tileView.AnimationEnabled = false;

            // For now, don't allow customization by means of the application bar.
            tileView.ApplicationBarInitializing += (s, e) => e.Cancel = true;

            TileGroup group = tileView.Groups.Add("Test");
            createMediumTiles(group, 4, TileSize.Medium);
            createMediumTiles(group, 8, TileSize.Small);

            Controls.Add(tileView);
        }

        private void createMediumTiles(TileGroup group, int tiles, TileSize size)
        {
            for (int i = 0; i < tiles; i++)
            {
                LiveTile tile = group.Tiles.AddLiveTile();
                tile.CurrentSize = size;
                tile.Logo.ShortName = "tile_" + tile.Index.ToString();
            }
        }
    }
}
